## tora 2.1.3

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

# options available for user's input
OPTION(WANT_DEBUG "Set the debug build and possible additional outputs" OFF)
OPTION(WANT_INTERNAL_QSCINTILLA "Use internal/bundled QScintilla2 source" OFF)
OPTION(ENABLE_ORACLE "Enable/Disable Oracle support at all. Including detection" ON)
OPTION(ENABLE_PGSQL "Enable/Disable PostgreSQL support. Including detection" ON)
OPTION(ENABLE_DB2 "Enable/Disable DB2 support. Including detection" ON)
OPTION(ENABLE_TERADATA "Enable/Disable Teradata support." OFF)
OPTION(WANT_RPM "Enable additional RPM related stuff. Additional make package_rpm target" ON)
OPTION(WANT_BUNDLE "Enable Mac OS X bundle build" OFF)
OPTION(WANT_BUNDLE_STANDALONE "Do not copy required libs and tools into bundle (WANT_BUNDLE)" ON)
OPTION(USE_TROTL "Use trotl OCI wrapper library" OFF)
OPTION(USE_PCH "Use percompiled headers" ON)

#Set our CMake minimum version
#Require 2.4.2 for Qt finding
#Require 2.4.3 for moc change detection and rpath updates for custom cairo install
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5 FATAL_ERROR)
# FIXME: dont't forget to change CMP0005 policy to NEW after 2.6.0 minimum required!

# handle new cmake versions correctly
if(COMMAND cmake_policy)
  if (POLICY CMP0003)
    cmake_policy(SET CMP0003 NEW)
  endif (POLICY CMP0003)
  if (POLICY CMP0005)
    cmake_policy(SET CMP0005 OLD) # FIXME change it to new when there will be cmake 2.6.x in most distros
  endif (POLICY CMP0005)
  if (POLICY CMP0011)
    cmake_policy(SET CMP0011 NEW)
  endif (POLICY CMP0011)
  if (POLICY CMP0015)
    cmake_policy(SET CMP0015 NEW)
  endif (POLICY CMP0015)
endif(COMMAND cmake_policy)


#Pretty colors
SET(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
SET(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)


INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)
INCLUDE(TestBigEndian)

#Set the custom CMake module directory where our include/lib finders are
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

#Project Setup
PROJECT(TOra)
#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "cvs" or "Ncvs" (N being the minor patch level)
SET (VERSION_MAJOR "2")
SET (VERSION_MINOR "1")
SET (VERSION_PATCH "3")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
MESSAGE(STATUS "TOra ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

SET (EXE_NAME "tora")
if (WANT_BUNDLE)
    SET(EXE_NAME "TOra")
endif(WANT_BUNDLE)

ADD_DEFINITIONS("-DTOVERSION=\\\"${VERSION}\\\"")
# Allow using CMAKE-related ifdefs in the code. See e.g. toqsqlconnection.cpp.
ADD_DEFINITIONS("-DCMAKE_BUILD")

#Set the permissions to be used when installing plugins
SET(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

if (NOT TORA_PLUGIN_DIR)
    SET (TORA_PLUGIN_DIR "${CMAKE_INSTALL_PREFIX}/share/tora/")
endif (NOT TORA_PLUGIN_DIR)
ADD_DEFINITIONS("-DDEFAULT_PLUGIN_DIR=\\\"${TORA_PLUGIN_DIR}\\\"")

if (NOT TORA_DOC_DIR)
	IF (UNIX)
	    SET (TORA_DOC_DIR "${CMAKE_INSTALL_PREFIX}/share/doc/tora/") # it would be pain for upgrade configs -${VERSION}/")
	ELSE (UNIX)
		SET (TORA_DOC_DIR "${CMAKE_INSTALL_PREFIX}/doc/")
	ENDIF (UNIX)
endif (NOT TORA_DOC_DIR)

#if (NOT TORA_HELP_DIR)
#    SET (TORA_HELP_DIR "${TORA_PLUGIN_DIR}/help/")
#endif (NOT TORA_HELP_DIR)
#ADD_DEFINITIONS("-DTORA_HELP_DIR=\\\"${TORA_HELP_DIR}\\\"")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

IF (CMAKE_COMPILER_IS_GNUCC)
  
EXECUTE_PROCESS(
    COMMAND ${CMAKE_C_COMPILER} -dumpmachine
    OUTPUT_VARIABLE MACHINE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
MESSAGE(STATUS "Building for target ${MACHINE}")

STRING(REGEX MATCH "(i?86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
IF (_machine_x86)
    MESSAGE(STATUS "Found target X86")
    SET(ARCH_X86 1)
ENDIF (_machine_x86)

STRING(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
IF (_machine_x86_64)
    MESSAGE(STATUS "Found target X86_64")
    SET(ARCH_X86_64 1)
ENDIF (_machine_x86_64)

STRING(REGEX MATCH "(ppc-*)" _machine_ppc "${MACHINE}")
IF (_machine_ppc)
    MESSAGE(STATUS "Found target PPC")
    SET(ARCH_PPC 1)
ENDIF (_machine_ppc)

SET(CMAKE_CXX_FLAGS_RELEASE "-O2 ${CXX_WARNINGS}")
SET(CMAKE_C_FLAGS_RELEASE "-O2 ${CXX_WARNINGS}")
SET(CMAKE_CXX_FLAGS_DEBUG "-O0 ${CXX_WARNINGS} -ggdb3 -fno-inline -rdynamic")
SET(CMAKE_C_FLAGS_DEBUG "-O0 ${CXX_WARNINGS} -gbdb3 -fno-inline -rdynamic")

ENDIF (CMAKE_COMPILER_IS_GNUCC)

#Convert our simpler command line option to the CMake style
#None, Debug, Release, .. or custom ones
IF(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE Debug)
  ADD_DEFINITIONS("-DDEBUG")
  
  # Boost headers are required to compile with -DDEBUG (see tologger.h)
  FIND_PACKAGE(Boost)
  IF (Boost_FOUND)
      MESSAGE(STATUS "Found Boost libraries for debug build")
      include_directories(${Boost_INCLUDE_DIRS})
  else (Boost_FOUND)
      MESSAGE(FATAL "Boost libs not found. It's mandatory to build with debugging")
  ENDIF (Boost_FOUND)

ELSE(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE RELEASE)
ENDIF(WANT_DEBUG)

# Lets disable Wall warnings due the MSVC too much talkative
# output. Wall can slow down compiletion up to hours and
# my boxes can boil eggs too.
# MSVC, MSVC_IDE, MSVC60, MSVC70, MSVC71, MSVC80, CMAKE_COMPILER_2005
IF (MSVC)
    SET (CXX_WARNINGS "")
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ELSE (MSVC)
    SET (CXX_WARNINGS "-Wall")
ENDIF (MSVC)


# Required for win wjen there is used an external qscintilla lib
IF (WIN32 AND NOT DEFINED WANT_INTERNAL_QSCINTILLA)
  SET(CMAKE_CXX_FLAGS_RELEASE "/DQSCINTILLA_DLL ${CMAKE_CXX_FLAGS_RELEASE}")
  SET(CMAKE_C_FLAGS_RELEASE "/DQSCINTILLA_DLL ${CMAKE_C_FLAGS_RELEASE}")
ENDIF (WIN32 AND NOT DEFINED WANT_INTERNAL_QSCINTILLA)

##############################################################################################################
########## Find Dependencies                                                                        ##########

# wo don't want to plugin build
ADD_DEFINITIONS(-DTOMONOLITHIC)


SET (QT_MT_REQUIRED true)
SET (QT_MIN_VERSION "4.3.0")
SET (QT_USE_QTSQL TRUE)
SET (QT_USE_QTNETWORK TRUE)
SET (QT_USE_QTXML TRUE)
FIND_PACKAGE(Qt4 REQUIRED)
INCLUDE( ${QT_USE_FILE} )
IF (QT_FOUND)
    MESSAGE("Qt4 Found OK")
    #Add our Qt definitions
    ADD_DEFINITIONS(
        ${QT_DEFINITIONS}
        -DQT_CORE_LIB
        -DQT_GUI_LIB
        -DQT_THREAD_LIB
    )
ELSE(QT_FOUND)
    MESSAGE(FATAL_ERROR "No Qt4 found")
ENDIF(QT_FOUND)


IF (WANT_INTERNAL_QSCINTILLA)
    MESSAGE(STATUS "QSci: Building with internal copy of QScintilla.")
    MESSAGE(STATUS "QSci: It's recomended to use external library for it")
ELSE (WANT_INTERNAL_QSCINTILLA)

	FIND_PACKAGE(QScintilla REQUIRED)
	IF (QSCINTILLA_FOUND)
		MESSAGE("QScintilla2 Found OK")
		ADD_DEFINITIONS("-DQT -DSCI_LEXER")
	ELSE (QSCINTILLA_FOUND)
		MESSAGE(STATUS "QSci: No QScintilla2 libraries found")
		MESSAGE(STATUS "QSci: You can use -DWANT_INTERNAL_QSCINTILLA=1 to build included copy of it.")
		MESSAGE(FATAL_ERROR "No QScintilla2 found")
	ENDIF (QSCINTILLA_FOUND)

ENDIF (WANT_INTERNAL_QSCINTILLA)


IF (NOT ENABLE_ORACLE)
    MESSAGE(STATUS "Oracle support is disabled by user choice")
    ADD_DEFINITIONS("-DTO_NO_ORACLE")
ELSE (NOT ENABLE_ORACLE)

  FIND_PACKAGE(Oracle COMPONENTS CLNTSH XML)
  IF(ORACLE_FOUND)
      MESSAGE("Oracle OCI Library Found OK")
      # what else is hidden in the ifdef hell?!
      ADD_DEFINITIONS("-DDBLINK")
  ELSE(ORACLE_FOUND)
      MESSAGE(STATUS "No Oracle OCI found. TOra will be build without Oracle support")
      ADD_DEFINITIONS("-DTO_NO_ORACLE")
  ENDIF(ORACLE_FOUND)

ENDIF (NOT ENABLE_ORACLE)


IF (NOT ENABLE_PGSQL)
    MESSAGE(STATUS "PostgreSQL support is disabled by user choice")
ELSE (NOT ENABLE_PGSQL)

  FIND_PACKAGE(PostgreSQL)
  IF (POSTGRESQL_FOUND)
    ADD_DEFINITIONS(-DLIBPQ_DECL_CANCEL)
    ADD_DEFINITIONS(-DHAVE_POSTGRESQL_LIBPQ_FE_H)
    MESSAGE(STATUS "PostgreSQL environment found: ${POSTGRESQL_INCLUDE_DIR} ${POSTGRESQL_LIBRARIES}")
  ELSE (POSTGRESQL_FOUND)
    MESSAGE(" ")
    MESSAGE(WARNING " No PostgreSQL environment has been found.")
    MESSAGE(WARNING " Specify -DPOSTGRESQL_PATH_INCLUDES=path")
    MESSAGE(WARNING "     and -DPOSTGRESQL_PATH_LIB=path manually")
	#MESSAGE (STATUS "PostgreSQL includes: ${POSTGRESQL_INCLUDE_DIR} vs. ${POSTGRESQL_PATH_INCLUDES}")
	#MESSAGE (STATUS "PostgreSQL libs: ${POSTGRESQL_LIBRARIES} vs. ${POSTGRESQL_PATH_LIB}")
    MESSAGE(" ")
  ENDIF (POSTGRESQL_FOUND)

ENDIF (NOT ENABLE_PGSQL)


IF (NOT ENABLE_DB2)
    MESSAGE(STATUS "DB2 support is disabled by user choice")
ELSE (NOT ENABLE_DB2)

    FIND_PACKAGE(DB2)
    IF (DB2_FOUND)
        ADD_DEFINITIONS(-DHAVE_DB2)
    ELSE (DB2_FOUND)
        MESSAGE(" ")
        MESSAGE(STATUS " No DB2 client libraries have been found.")
        MESSAGE(STATUS " TOra can be build without it - without DB2 support.")
        MESSAGE(STATUS " Specify -DDB2_PATH_INCLUDES=path")
        MESSAGE(STATUS "     and -DDB2_PATH_LIB=path manually")
        MESSAGE(" ")
    ENDIF (DB2_FOUND)

ENDIF (NOT ENABLE_DB2)

IF (NOT ENABLE_TERADATA)
    MESSAGE(STATUS "Teradata support disabled (enable with -DENABLE_TERADATA=on)")
ELSE (NOT ENABLE_TERADATA)
    FIND_PACKAGE(TERADATA)
    IF (TERADATA_FOUND)
        MESSAGE(STATUS "Teradata found")
    ENDIF (TERADATA_FOUND)
ENDIF (NOT ENABLE_TERADATA)


##############################################################################################################
########## Include Setup                                                                            ##########

TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

CHECK_INCLUDE_FILE("dlfcn.h" HAVE_DLFCN_H)
IF(HAVE_DLFCN_H)
  ADD_DEFINITIONS(-DHAVE_DLFCN_H)
ENDIF(HAVE_DLFCN_H)

CHECK_INCLUDE_FILE("unistd.h" HAVE_UNISTD_H)
IF(HAVE_UNISTD_H)
  ADD_DEFINITIONS(-DHAVE_UNISTD_H)
ENDIF(HAVE_UNISTD_H)

CHECK_INCLUDE_FILE("sys/types.h" HAVE_SYS_TYPES_H)
# IF(HAVE_SYS_TYPES_H)
#   ADD_DEFINITIONS(-DHAVE_SYS_TYPES_H)
# ENDIF(HAVE_SYS_TYPES_H)

CHECK_INCLUDE_FILE("sys/stat.h" HAVE_SYS_STAT_H)
# IF(HAVE_SYS_STAT_H)
#   ADD_DEFINITIONS(-DHAVE_SYS_STAT_H)
# ENDIF(HAVE_SYS_STAT_H)
#>>Test for existing include files


#Create configure files.. config.h and uninstall
#config.h
# INCLUDE (ConfigureChecks.cmake)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
ADD_DEFINITIONS("-DHAVE_CONFIG_H")



##############################################################################################################
########## Uninstall Setup                                                                          ##########

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY
)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

#Add our source subdirs
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(doc)

IF (NOT WANT_BUNDLE)
#Install our READMEs etc.
INSTALL(FILES
    AUTHORS
    BUGS
    ChangeLog
    COPYING
    INSTALL
    NEWS
    README
    README.BINARIES
    README.CMAKE
    README.CODESTYLE
    README.LAYOUT
    README.LICENSE
    README.OSX
    README.RELEASE
    README.SVN
    README.WINDOWS
    TODO
    DESTINATION ${TORA_DOC_DIR}
)
ENDIF (NOT WANT_BUNDLE)


# packaging related stuff
#SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Toolkit for Oracle")

=== doc/CMakeLists.txt ===
SUBDIRS(help)

=== src/CMakeLists.txt ===
INCLUDE(ToraCompat)
INCLUDE(PCHSupport_26)

#Subdirectories
# ADD_SUBDIRECTORY(i18n)
ADD_SUBDIRECTORY(loki)
IF (WIN32)
    ADD_SUBDIRECTORY(windows)
ENDIF (WIN32)

IF (USE_TROTL)
  ADD_SUBDIRECTORY(trotl)
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/trotl/src)
  LINK_DIRECTORIES(./trotl)
  SET (TROTL_LIB "trotl")
ENDIF (USE_TROTL)

# Default: qsci2 as 3rd party lib!
IF (WANT_INTERNAL_QSCINTILLA)
    ADD_SUBDIRECTORY(qscintilla2)
ENDIF(WANT_INTERNAL_QSCINTILLA)


# only toad bindings are here. All others qm files will blow the binary too much
SET (TORA_I18N_TS
    i18n/tora_toad.ts
)

SET(TORA_RCC_FILES tora.qrc)

SET(TORA_UI_SRC
    toaboutui.ui
    tobrowserconstraintui.ui
    tobrowserfilterui.ui
    tobrowserindexui.ui
    tobrowsertableui.ui
    toconnectionimportui.ui
    todatabasesettingui.ui
    todebugchangeui.ui
    todebugwatch.ui
    todescribeui.ui
    todroptablespaceui.ui
    toeditextensionsetupui.ui
    toglobalsettingui.ui
    tohelpaddfileui.ui
    tohelpui.ui
    tohelpsetupui.ui
    tochartalarmui.ui
    tochartsetupui.ui
    tolinechartsetupui.ui
    tomessageui.ui
    tonewconnectionui.ui
    topreferencesui.ui
    toresultcontentfilterui.ui
    toresultlistformatui.ui
    torollbackdialogui.ui
#    toschedulerui.ui
    toscriptui.ui
    toscriptschemawidgetui.ui
    tosearchreplaceui.ui
    tosecurityquotaui.ui
    tosecurityroleui.ui
    tosecurityuserui.ui
    tostoragedatafileui.ui
    tostoragedefinitionui.ui
    tostoragedialogui.ui
    tostorageprefsui.ui
    tostoragetablespaceui.ui
    tosyntaxsetupui.ui
    totemplateaddfileui.ui
    totemplateeditui.ui
    totemplatesetupui.ui
    totoolsettingui.ui
    totuningoverviewui.ui
    totuningsettingui.ui
    toworksheetsetupui.ui
    # shortcuteditor
    shortcuteditor/shortcuteditordialog.ui
    connectioncolorsdialogui.ui
)
IF (ORACLE_FOUND)
    LIST (APPEND TORA_UI_SRC tooraclesettingui.ui)
ENDIF (ORACLE_FOUND)


SET(TORA_MOC_CLASSES
    toabout.h
    toalert.h
    toanalyze.h
    toawr.h
#     tobackground.h
#     tobackgroundlabel.h
    tobackup.h
#     tobackuptool.h
    tobarchart.h
    tobackgroundlabel.h
    tobrowserconstraint.h
    tobrowser.h
    toresultgrants.h
    tobrowserindex.h
    tobrowsertable.h
    tobrowserbasewidget.h
    tobrowseraccesswidget.h
    tobrowsertablewidget.h
    tobrowserviewwidget.h
    tobrowserindexwidget.h
    tobrowserschemawidget.h
    tobrowsersequencewidget.h
    tobrowsersynonymwidget.h
    tobrowsercodewidget.h
    tobrowsertriggerwidget.h
    tobrowserdblinkswidget.h
    tobrowserdirectorieswidget.h
#     tobrowserschemabasewidget.h
#     toconf.h
#     toconfiguration.h
    toconnection.h
    toconnectionimport.h
    toconnectionmodel.h
    toconnectionpool.h
    todocklet.h
    todockbar.h
    topushbutton.h
    torunnable.h
    tonoblockquery.h
    tocurrent.h
    todatatype.h
    todebug.h
    todebugtext.h
    todescribe.h
#     todefaultkeywords.h
    toeditextensions.h
#     toeditwidget.h
#     toextract.h
    toeventquery.h
    toeventquerytask.h
    tofilesize.h
    toglobalsetting.h
    tohelp.h
    tohelpsetup.h
    tohighlightedtext.h
#     tohtml.h
    tochangeconnection.h
    tochartmanager.h
    toinvalid.h
    tolegendchart.h
    tolinechart.h
#     tolistviewformattercsv.h
#     tolistviewformatterfactory.h
#     tolistviewformatter.h
#     tolistviewformatterhtml.h
#     tolistviewformatteridentifier.h
#     tolistviewformattersql.h
#     tolistviewformattertabdel.h
#     tolistviewformattertext.h
    tomain.h
    tomainwindow.h
#     tomainwindow.kde.h
    tomarkedtext.h
    tomemoeditor.h
    tomodeleditor.h
    tomessage.h
#     tomysqlkeywords.h
    tonewconnection.h
#     tonoblockquery.h
    tooutput.h
    toparamget.h
    topiechart.h
    toplsqleditor.h
    toplsqltext.h
    topreferences.h
    toprofiler.h
    toproject.h
#     toqvalue.h
#     toreport.h
    toresultbar.h
    toresultcolscomment.h
    toresultcols.h
    toresultcombo.h
    toresultschema.h
    toresultdepend.h
    toresultextract.h
    toresultfield.h
    toresult.h
    toresultitem.h
    toresultlabel.h
    toresultline.h
    toresultlock.h
    toresultlong.h
    toresultmodel.h
    tocodemodel.h
    toresultparam.h
    toresultpie.h
    toresultplan.h
#     toresultresources.h
    toresultstats.h
    toresultstorage.h
    toresulttableview.h
    toresulttableviewedit.h
    toresultdata.h
    toresultdatasingle.h
    toresultview.h
    toresultlistformat.h
    torollback.h
#    toscheduler.h
    toscript.h
    toscriptschemawidget.h
#     toscripttreeitem.h
    toscripttreemodel.h
    tosearchreplace.h
    tosecurity.h
    tosecuritytreemodel.h
#     tosecuritytreeitem.h
    tosession.h
    tosgastatement.h
    tosgatrace.h
    tosmtp.h
#     tosplash.h
    tosqledit.h
#     tosql.h
#     tosqlparse.h
#     tostoragedefinition.h
    tostorage.h
    tosyntaxsetup.h
    totableselect.h
    totabwidget.h
    totemplate.h
    totemporary.h
#     totextview.h
    tothread_p.h
    totreewidget.h
#     totimer.h
    totool.h
    totuning.h
    tounittest.h
    tovisualize.h
    towaitevents.h
    toworksheet.h
    toworkingwidget.h
    toeditablemenu.h
    toworksheetstatistic.h
#     toworksheettext.h
    toworksheetwidget.h
    utils.h
# shortcuteditor
    shortcuteditor/shortcuteditordialog.h
    shortcuteditor/shortcutmodel.h
# docklets
    docklets/toviewconnections.h
    docklets/toviewdirectory.h
)
IF (ORACLE_FOUND)
    LIST(APPEND TORA_MOC_CLASSES tooraclesetting.h)
ENDIF (ORACLE_FOUND)


SET(TORA_SOURCES
    # include main.cpp for "normal" TOra build, but comment it out and include
    # tosqlparsetest.cpp when running unit tests for sql parser.
    main.cpp
    #tosqlparsetest.cpp
    toabout.cpp
    toalert.cpp
    toanalyze.cpp
    toawr.cpp
    tobackground.cpp
    tobackgroundlabel.cpp
    tobackup.cpp
    tobackuptool.cpp
    tobarchart.cpp
    tobrowserconstraint.cpp
    tobrowser.cpp
    toresultgrants.cpp
    tobrowserindex.cpp
    tobrowsertable.cpp
    tobrowserbasewidget.cpp
    tobrowseraccesswidget.cpp
    tobrowsertablewidget.cpp
    tobrowserviewwidget.cpp
    tobrowserindexwidget.cpp
    tobrowserschemawidget.cpp
    tobrowsersequencewidget.cpp
    tobrowsersynonymwidget.cpp
    tobrowsercodewidget.cpp
    tobrowsertriggerwidget.cpp
    tobrowserdblinkswidget.cpp
    tobrowserdirectorieswidget.cpp
#     tobrowserschemabasewidget.cpp
    toconfiguration.cpp
    toconnection.cpp
    toqvalue.cpp
    toconnectionimport.cpp
    toconnectionmodel.cpp
    toconnectionpool.cpp
    todocklet.cpp
    todockbar.cpp
    topushbutton.cpp
    torunnable.cpp
    tocurrent.cpp
    todatatype.cpp
    todebug.cpp
    todebugtext.cpp
    todescribe.cpp
    toeditextensions.cpp
    toeditwidget.cpp
    toextract.cpp
    toextratranslations.cpp
    toeventquery.cpp
    toeventquerytask.cpp
    tofilesize.cpp
# temporarily disabled due the lack of firebird here    tofyracleconnection.cpp
    toglobalsetting.cpp
    tohelp.cpp
    tohighlightedtext.cpp
    tohtml.cpp
    tochangeconnection.cpp
    tochartmanager.cpp
    toinvalid.cpp
    tolegendchart.cpp
    tolinechart.cpp
    tolistviewformatter.cpp
    tolistviewformattercsv.cpp
    tolistviewformatterhtml.cpp
    tolistviewformattersql.cpp
    tolistviewformattertabdel.cpp
    tolistviewformattertext.cpp
    tomain.cpp
    tomainwindow.cpp
    tomarkedtext.cpp
    tomemoeditor.cpp
    tomodeleditor.cpp
    tomessage.cpp
    tonewconnection.cpp
    tonoblockquery.cpp
#win only?    toocistub.cpp
#    tooracleconnection.cpp
    tooracleextract.cpp
    tooraclepreload.cpp
    tooutput.cpp
    toparamget.cpp
    topassword.cpp
    topiechart.cpp
    toplsqleditor.cpp
    toplsqltext.cpp
    topreferences.cpp
    toprofiler.cpp
    toproject.cpp
    toqsqlconnection.cpp
    toreport.cpp
    toresultbar.cpp
    toresultcolscomment.cpp
    toresultcols.cpp
    toresultschema.cpp
    toresultcombo.cpp
    toresult.cpp
    toresultdepend.cpp
    toresultextract.cpp
    toresultfield.cpp
    toresultitem.cpp
    toresultlabel.cpp
    toresultline.cpp
    toresultlock.cpp
    toresultlong.cpp
    toresultmodel.cpp
    tocodemodel.cpp
    toresultparam.cpp
    toresultpie.cpp
    toresultplan.cpp
    toresultstats.cpp
    toresultstorage.cpp
    toresulttableview.cpp
    toresulttableviewedit.cpp
    toresultdata.cpp
    toresultdatasingle.cpp
    toresultview.cpp
    toresultlistformat.cpp
    torollback.cpp
#    toscheduler.cpp
    toscript.cpp
    toscriptschemawidget.cpp
    toscripttreeitem.cpp
    toscripttreemodel.cpp
    tosearchreplace.cpp
    tosecurity.cpp
    tosecuritytreemodel.cpp
    tosecuritytreeitem.cpp
    tosession.cpp
    tosgastatement.cpp
    tosgatrace.cpp
    tosmtp.cpp
    tosplash.cpp
    tosql.cpp
    tosqledit.cpp
    tosqlparse.cpp
    tostorage.cpp
    tostoragedefinition.cpp
    tosyntaxsetup.cpp
    totableselect.cpp
    totabwidget.cpp
    totemplate.cpp
    totemplateprovider.cpp
    totemporary.cpp
    totextview.cpp
    tothread.cpp
    totimer.cpp
    totool.cpp
    totreewidget.cpp
    totuning.cpp
    tounittest.cpp
    tovisualize.cpp
    towaitevents.cpp
    toworksheet.cpp
    toworkingwidget.cpp
    toeditablemenu.cpp
    toworksheetstatistic.cpp
    toworksheettext.cpp
    toworksheetwidget.cpp
    utils.cpp
    #
    migratetool/sqldeveloper.cpp
    migratetool/squirrelsql.cpp
    migratetool/tora3.cpp
    # shortcuteditor
    shortcuteditor/shortcuteditordialog.cpp
    shortcuteditor/shortcutmodel.cpp
    # docklets
    docklets/toviewconnections.cpp
    docklets/toviewdirectory.cpp
    tooracletable.cpp
)

IF(USE_TROTL)
  LIST(APPEND TORA_SOURCES tooracleconnection_trotl.cpp)
ELSE (USE_TROTL)
  LIST(APPEND TORA_SOURCES tooracleconnection.cpp)
ENDIF (USE_TROTL)
    
IF (DB2_FOUND)
    LIST (APPEND TORA_SOURCES db2/todb2connection.cpp
                              db2/db2connectionsub.cpp
                              db2/db2provider.cpp
                              db2/db2query.cpp)
    #db2/qsql_db2.cpp)
ENDIF (DB2_FOUND)

IF (TERADATA_FOUND)
    LIST (APPEND TORA_SOURCES toteradataconnection.cpp)
ENDIF (TERADATA_FOUND)

# compiled in icons for windows
IF (WIN32 AND MSVC)
    SET (TORA_SOURCES ${TORA_SOURCES} tora.rc)
ENDIF (WIN32 AND MSVC)
if (WIN32 AND MINGW)
    # resource compilation for mingw
    ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/tora_rc.o
                       COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}
                              -i${CMAKE_CURRENT_SOURCE_DIR}/tora.rc
                              -o ${CMAKE_CURRENT_BINARY_DIR}/tora_rc.o)
    SET(TORA_SOURCES ${TORA_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/tora_rc.o)
endif (WIN32 AND MINGW)



QT4_ADD_TRANSLATION(TORA_I18N_QM ${TORA_I18N_TS})
QT4_WRAP_UI(TORA_UI_SOURCES ${TORA_UI_SRC} )
QT4_WRAP_CPP(TORA_MOC_SOURCES ${TORA_MOC_CLASSES})
QT4_ADD_RESOURCES(TORA_RCC_SRCS ${TORA_RCC_FILES})


LINK_DIRECTORIES(./loki)
IF (WIN32)
    LINK_DIRECTORIES(./windows)
ENDIF (WIN32)
IF (WANT_INTERNAL_QSCINTILLA)
    LINK_DIRECTORIES(./qscintilla2)
ENDIF (WANT_INTERNAL_QSCINTILLA)


SET(TORA_LOKI_LIB "tora_loki_lib")
IF (WANT_INTERNAL_QSCINTILLA)
    SET (TORA_QSCINTILLA_LIB tora_qscintilla2_lib)
ENDIF (WANT_INTERNAL_QSCINTILLA)


IF (WIN32)
    SET (WINDOWS_LIB "windows_lib")
ENDIF (WIN32)


INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/loki/include
  ${CMAKE_CURRENT_SOURCE_DIR}/otl
)

IF (ORACLE_INCLUDES)
    INCLUDE_DIRECTORIES( ${ORACLE_INCLUDES} )
ENDIF (ORACLE_INCLUDES)

IF (POSTGRESQL_INCLUDE_DIR)
    INCLUDE_DIRECTORIES( ${POSTGRESQL_INCLUDE_DIR} )
ENDIF (POSTGRESQL_INCLUDE_DIR)

IF (DB2_INCLUDES)
    INCLUDE_DIRECTORIES( ${DB2_INCLUDES} )
ENDIF (DB2_INCLUDES)

IF (TERADATA_PATH_INCLUDES)
    INCLUDE_DIRECTORIES( ${TERADATA_PATH_INCLUDES} )
ENDIF (TERADATA_PATH_INCLUDES)

IF (WANT_INTERNAL_QSCINTILLA)
    INCLUDE_DIRECTORIES(
        ${CMAKE_SOURCE_DIR}/src/qscintilla2/Qt4

=== doc/help/CMakeLists.txt ===
#FILE( GLOB TORA_DOC_FILES *.htm* )
##FILE( GLOB TORA_API_FILES ./api/*.htm* )

#IF (WIN32)
#    INSTALL(FILES ${TORA_DOC_FILES} DESTINATION help/)
##    INSTALL(FILES ${TORA_API_FILES} DESTINATION help/api/)
#ELSE (WIN32)
#    INSTALL(FILES ${TORA_DOC_FILES} DESTINATION ${TORA_HELP_DIR})
##    INSTALL(FILES ${TORA_API_FILES} DESTINATION ${TORA_HELP_DIR}/api/)
#ENDIF (WIN32)

#SUBDIRS(images)

=== doc/help/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# doc/help/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/tora
pkgincludedir = $(includedir)/tora
pkglibdir = $(libdir)/tora
pkglibexecdir = $(libexecdir)/tora
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = doc/help
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/config/m4/cppunit.m4 \
	$(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/m4/oracle.m4 \
	$(top_srcdir)/config/m4/pcre.m4 \
	$(top_srcdir)/config/m4/postgresql.m4 \
	$(top_srcdir)/config/m4/qtkde.m4 \
	$(top_srcdir)/config/m4/teradata.m4 \
	$(top_srcdir)/config/m4/tora.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
INFO_DEPS = $(srcdir)/tora.info
TEXINFO_TEX = $(top_srcdir)/config/texinfo.tex
am__TEXINFO_TEX_DIR = $(top_srcdir)/config
DVIS = tora.dvi
PDFS = tora.pdf
PSS = tora.ps
HTMLS = tora.html
TEXINFOS = tora.texi
TEXI2DVI = texi2dvi
TEXI2PDF = $(TEXI2DVI) --pdf --batch
MAKEINFOHTML = $(MAKEINFO) --html
AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
DVIPS = dvips
am__installdirs = "$(DESTDIR)$(infodir)"
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/tomas/prog/tora/tora/config/missing --run aclocal-1.11
ALLOCA = 
AMTAR = ${SHELL} /home/tomas/prog/tora/tora/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/tomas/prog/tora/tora/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tomas/prog/tora/tora/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tomas/prog/tora/tora/config/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CPPUNIT_CFLAGS = 
CPPUNIT_CONFIG = no
CPPUNIT_LIBS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -fno-inline -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
ISODATE = 2010-09-19
LD = /usr/bin/ld
LDFLAGS =  -DQT_NO_DEBUG
LIBOBJS = 
LIBS = -lpcre 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = config/ltmain.sh
LIPO = 
LN_S = ln -s
LRELEASE = /usr/lib/qt4/bin/lrelease-qt4
LTLIBOBJS = 
LUPDATE = /usr/lib/qt4/bin/lupdate-qt4
MAKEINFO = ${SHELL} /home/tomas/prog/tora/tora/config/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MOC = /usr/lib/qt4/bin/moc-qt4
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
ORACLE_CXXFLAGS =  -I/ora/base/product/11.2.0/dbhome_1/rdbms/public -DOTL_ORA11G
ORACLE_LDFLAGS =  -L/ora/base/product/11.2.0/dbhome_1/lib
ORACLE_LIBS = -lclntsh
OTOOL = 
OTOOL64 = 
PACKAGE = tora
PACKAGE_BUGREPORT = tora-develop@lists.sourceforge.net
PACKAGE_NAME = tora
PACKAGE_STRING = tora 2.1.3
PACKAGE_TARNAME = tora
PACKAGE_URL = 
PACKAGE_VERSION = 2.1.3
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_LIBS = -lpcre
PQ_LIBS = 
QSCINTILLA_CXXFLAGS = 
QSCINTILLA_LDFLAGS =  -lqscintilla2
QTDIR = /usr/lib/qt4
QT_DEFINES = 
QT_INCLUDES = -I/usr/include -I/usr/include/Qt -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtSql -I/usr/include/QtNetwork -I/usr/include/QtXml
QT_LDFLAGS =  -lQtCore -lQtGui -lQtGui -lQtSql -lQtNetwork -lQtXml -L/usr/lib
RANLIB = ranlib
RCC = /usr/lib/qt4/bin/rcc
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TERADATA_CXXFLAGS = 
TERADATA_LDFLAGS = 
TERADATA_LIBS = 
UIC = /usr/lib/qt4/bin/uic-qt4
VERSION = 2.1.3
WIN_CXXFLAGS = 
WIN_LDFLAGS = 
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/tomas/prog/tora/tora/doc/help
abs_srcdir = /home/tomas/prog/tora/tora/doc/help
abs_top_builddir = /home/tomas/prog/tora/tora
abs_top_srcdir = /home/tomas/prog/tora/tora
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
ac_path_moc = /usr/lib/qt4/bin/moc-qt4
ac_path_rcc = /usr/lib/qt4/bin/rcc
ac_path_uic = /usr/lib/qt4/bin/uic-qt4
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/tomas/prog/tora/tora/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local/tora
program_transform_name = s,x,x,
psdir = ${docdir}
qt_includes = /usr/include
qt_libraries = NO
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
info_TEXINFOS = tora.texi 
tora_TEXINFO = \
	additionalhelp.texi \
	alert.texi \
	analyze.texi \
	api.texi \
	browser.texi \
	charts.texi \
	common.texi \
	current.texi \
	editor.texi \
	database.texi \
	debugger.texi \
	editors.texi \
	extendingtora.texi \
	externalapi.texi \
	help.texi \
	history.texi \
	invalid.texi \
	lists.texi \
	newconnection.texi \
	output.texi \
	preferences.texi \
	rollback.texi \
	script.texi \
	searchreplace.texi \
	security.texi \
	session.texi \
	sqledit.texi \
	storage.texi \
	template.texi \
	tools.texi \
	toolsetting.texi \
	tora.texi \
	trace.texi \
	tuning.texi \
	window.texi \
	worksheet.texi \
	workspace.texi 

SUFFIXES = .html
html_docs = tora/index.html
all: all-am

.SUFFIXES:
.SUFFIXES: .html .dvi .info .pdf .ps .texi
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/help/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu doc/help/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

.texi.info:
	restore=: && backupdir="$(am__leading_dot)am$$$$" && \
	am__cwd=`pwd` && $(am__cd) $(srcdir) && \
	rm -rf $$backupdir && mkdir $$backupdir && \
	if ($(MAKEINFO) --version) >/dev/null 2>&1; then \
	  for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
	    if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
	  done; \
	else :; fi && \
	cd "$$am__cwd"; \
	if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
	 -o $@ $<; \
	then \
	  rc=0; \
	  $(am__cd) $(srcdir); \
	else \
	  rc=$$?; \
	  $(am__cd) $(srcdir) && \
	  $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
	fi; \
	rm -rf $$backupdir; exit $$rc

.texi.dvi:
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
	$(TEXI2DVI) $<

.texi.pdf:
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
	$(TEXI2PDF) $<
$(srcdir)/tora.info: tora.texi 
tora.dvi: tora.texi 
tora.pdf: tora.texi 
tora.html: tora.texi 
.dvi.ps:
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
	$(DVIPS) -o $@ $<

uninstall-dvi-am:
	@$(NORMAL_UNINSTALL)
	@list='$(DVIS)'; test -n "$(dvidir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
	  rm -f "$(DESTDIR)$(dvidir)/$$f"; \
	done

uninstall-html-am:
	@$(NORMAL_UNINSTALL)
	@list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
	  rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
	done

uninstall-info-am:
	@$(PRE_UNINSTALL)
	@if test -d '$(DESTDIR)$(infodir)' && \
	    (install-info --version && \
	     install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
	  list='$(INFO_DEPS)'; \
	  for file in $$list; do \
	    relfile=`echo "$$file" | sed 's|^.*/||'`; \
	    echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
	    if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
	    then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
	  done; \
	else :; fi
	@$(NORMAL_UNINSTALL)

=== src/loki/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/loki/
${CMAKE_SOURCE_DIR}/src/loki/include
${CMAKE_SOURCE_DIR}/src/loki/include/loki/
)

# SET(TORA_LOKI_MOC_CLASSES
# )

SET(TORA_LOKI_LIB_SOURCES

include/loki/AbstractFactory.h
include/loki/AssocVector.h
include/loki/CachedFactory.h
include/loki/ConstPolicy.h
include/loki/DataGenerators.h
include/loki/EmptyType.h
include/loki/Factory.h
include/loki/Function.h
include/loki/Functor.h
include/loki/HierarchyGenerators.h
include/loki/Key.h
include/loki/LockingPtr.h
include/loki/LokiExport.h
include/loki/LokiTypeInfo.h
include/loki/MultiMethods.h
include/loki/NullType.h
include/loki/OrderedStatic.h
include/loki/Pimpl.h
include/loki/RefToValue.h
include/loki/Register.h
include/loki/SPCachedFactory.h
include/loki/SafeFormat.h
include/loki/ScopeGuard.h
include/loki/Sequence.h
include/loki/Singleton.h
include/loki/SmallObj.h
include/loki/SmartPtr.h
include/loki/StrongPtr.h
include/loki/Threads.h
include/loki/Tuple.h
include/loki/TypeManip.h
include/loki/TypeTraits.h
include/loki/Typelist.h
include/loki/TypelistMacros.h
include/loki/Visitor.h

include/loki/flex/allocatorstringstorage.h
include/loki/flex/cowstringopt.h
include/loki/flex/flex_string.h
include/loki/flex/flex_string_details.h
include/loki/flex/flex_string_shell.h
include/loki/flex/simplestringstorage.h
include/loki/flex/smallstringopt.h
include/loki/flex/vectorstringstorage.h

include/loki/static_check.h

include/loki/yasli/platform.h
include/loki/yasli/random.h
include/loki/yasli/yasli_fill_iterator.h
include/loki/yasli/yasli_memory.h
include/loki/yasli/yasli_protocols.h
include/loki/yasli/yasli_traits.h
include/loki/yasli/yasli_vector.h

#src/OrderedStatic.cpp
#src/SafeFormat.cpp
src/Singleton.cpp
src/SmallObj.cpp
#src/SmartPtr.cpp
#src/StrongPtr.cpp
)

# QT4_WRAP_CPP(TORA_LOKI_MOC_SOURCES ${TORA_LOKI_MOC_CLASSES})

SET(TORA_LOKI_LIB "tora_loki_lib")
ADD_LIBRARY(${TORA_LOKI_LIB} STATIC ${TORA_LOKI_LIB_SOURCES} )#${TORA_LOKI_MOC_SOURCES})

=== src/windows/Makefile ===


# BEGIN_COMMON_COPYRIGHT_HEADER
#
# TOra - An Oracle Toolkit for DBA's and developers
# 
# Shared/mixed copyright is held throughout files in this product
# 
# Portions Copyright (C) 2000-2001 Underscore AB
# Portions Copyright (C) 2003-2005 Quest Software, Inc.
# Portions Copyright (C) 2004-2009 Numerous Other Contributors
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation;  only version 2 of
# the License is valid for this program.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# 
#      As a special exception, you have permission to link this program
#      with the Oracle Client libraries and distribute executables, as long
#      as you follow the requirements of the GNU GPL in regard to all of the
#      software in the executable aside from Oracle client libraries.
# 
#      Specifically you are not permitted to link this program with the
#      Qt/UNIX, Qt/Windows or Qt Non Commercial products of TrollTech.
#      And you are not permitted to distribute binaries compiled against
#      these libraries. 
# 
#      You may link this product with any GPL'd Qt library.
# 
# All trademarks belong to their respective owners.
#
# END_COMMON_COPYRIGHT_HEADER

# This script only compiles the resources and windows classes in this directory

# C++ Compiler to use
GCC=g++

# Windows resource compiler
RC=windres

# Additional defines
DEFINES=-D_WIN32

# Additional includes needed to compile program
INCLUDES=

# Comment out this line if you want more output from compile
.SILENT:

# Additional flags set when using only the precompiler.
CPPFLAGS_GLOB=

# Additional flags set when compiling.
CFLAGS_GLOB=-g -O3 -W -Wall -c -w -fno-rtti

############################################################################
#
# End of configuration part of Makefile
#
############################################################################

SOURCES=\
	cregistry.cpp

RESOURCES=\
	tora.rc

	
default: all


CPPFLAGS=$(CPPFLAGS_GLOB) $(DEFINES) $(INCLUDES)
CFLAGS=$(CFLAGS_GLOB) $(INCLUDES) $(DEFINES)

OBJECTS=$(filter %.o,$(SOURCES:%.cpp=%.o)) $(filter %.o,$(RESOURCES:%.rc=%.o))

DEPENDS=$(filter %.d,$(SOURCES:%.cpp=.depends/%.d))

vpath %.h $(INCLUDE)

.PHONY: all clean

all: $(OBJECTS) 

%.moc: %.h
	@echo Metacompiling $<
	$(MOC) -o $@ $<

%.o: %.rc
	@echo Compiling resources $<
	$(RC) -o $@ $<

%.o: %.cpp
	@echo Compiling $<
	$(GCC) $(CFLAGS) -o $@ -c $<

include $(DEPENDS)

.depends/%.d: %.cpp
	@echo Making dependencies for $<
	if [ ! -d .depends ] ; then mkdir -p .depends ; fi
	$(GCC) -MM -MG $(CPPFLAGS) $< > $@.tmp && \
		( sed "s/^\(.*\.\)o\([ :]*\)/\1o \
		$(subst /,\\/,$@)\2/g" < $@.tmp > $@ ; rm -f $@.tmp )
clean: 
	@echo Cleaning $(TITLE)
	-rm -rf *.o

=== utils/chex/CMakeLists.txt ===
SET(CHEX_SOURCES
    chex.cpp
)

ADD_EXECUTABLE(chex
  ${CHEX_SOURCES}
)

=== doc/help/api/Makefile ===
all:
	doxygen
	echo "*** See error.log for errors and warnings"

clean:
	rm *.ttf *.dot *.html *.png *.css error.log *.map *.md5 *.gif *.tmp

tgz:
	tar -cf sqliteman-devel-docs.tar
	gzip sqliteman-devel-docs.tar

tbz:
	tar -cf sqliteman-devel-docs.tar *
	bzip2 sqliteman-devel-docs.tar

codecheck:
	flawfinder --html -c ../sqliteman > code-check.html

=== doc/help/images/CMakeLists.txt ===
#FILE( GLOB TORA_DOC_IMAGES *.png )
#INSTALL(FILES ${TORA_DOC_IMAGES} DESTINATION ${TORA_HELP_DIR}/images/)

=== src/windows/dummyoci/Makefile ===
all: oci.dll install

oci.dll: oci_stub.c oci_nonstub.c
	cl oci_stub.c oci_nonstub.c /link /DLL /out:oci.dll

install:
	copy oci.dll c:\build\tora-build\release\oci.dll

clean:
	del *~ *.exp *.obj *.dll *.lib

=== debian/changelog ===
tora (2.1.3-4) unstable; urgency=medium

  * Team upload.
  * Update for new qscintilla2 library names (Closes: #885643)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 04 Jan 2018 01:45:26 -0500

tora (2.1.3-3) unstable; urgency=medium

  * Added missing entry in initializer.
    Thanks to Christoph Biedl <debian.axhn@manchmal.in-ulm.de> (Closes: #811663)
  * Switched to source code format 3.0.
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Bumped debhelper compat level to 9.
  * Shortend description for debugging package.
  * Correctly uppercase Qt and TOra in extended description. (Closes: #663125)

 -- Michael Meskes <meskes@debian.org>  Mon, 12 Dec 2016 16:26:25 +0100

tora (2.1.3-2) unstable; urgency=low

  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes.
    Thanks to Cyril Brulebois <kibi@debian.org> (Closes: #667395)
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Removed leading article in package description
  * Moved debug package to priority extra.

 -- Michael Meskes <meskes@debian.org>  Wed, 09 May 2012 10:53:50 +0200

tora (2.1.3-1) unstable; urgency=low

  * New Upstream version 2.1.3
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 27 Sep 2010 10:06:11 +0200

tora (2.1.2-1) unstable; urgency=low

  * Added debug package. (Closes: #560064)
  * New Upstream version 2.1.2
    * Improved: Add editor option for uppler/lowercase object names
    * Improved: Db extract/compare tool now remembers widgets states
    * New: Filesystem completer for target line edit
    * Improved: Compatibility with sql+
    * New: Color/pixmap identifier for connection
    * Improved: Schema browser improvements
    * New: Ability to add external static check
    * New: Save package specification and body to one file
    * New: Initial support for creating/modifying tables
    * Bugfixes
  * Bumped Standards-Version to 3.8.4, no changes needed.
  * No patches needed anymore, removed patch system.

 -- Michael Meskes <meskes@debian.org>  Tue, 30 Mar 2010 13:14:16 +0200

tora (2.1.1-1) unstable; urgency=low

  * New upstream version.

 -- Michael Meskes <meskes@debian.org>  Thu, 19 Nov 2009 15:18:19 +0100

tora (2.1.0-1) unstable; urgency=low

  * New upstream version, the rebuild closes: #540046.
  * Bumped Standards-Version to 3.8.3, no changes needed.
  * New project homepage.
  * Removed no longer needed 01_missing_includes.dpatch.
  * Removed no longer used dh_desktop call.
  * Added README.source file.

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Sep 2009 12:37:52 +0200

tora (2.0.0-4) unstable; urgency=low

  * Added patch to add missing include directives, closes: #526166

 -- Michael Meskes <meskes@debian.org>  Mon, 04 May 2009 16:12:37 +0200

tora (2.0.0-3) unstable; urgency=low

  * Cleaned up packaging a little bit.
  * Added homepage information to control file.
  * Bumped Standards-Version to 3.8.1.
  * Released to unstable.

 -- Michael Meskes <meskes@debian.org>  Tue, 07 Apr 2009 13:16:05 +0200

tora (2.0.0-2) experimental; urgency=low

  * Added build dependency on libpq-dev to get full PostgreSQL support.

 -- Michael Meskes <meskes@debian.org>  Tue, 06 Jan 2009 08:49:43 +0100

tora (2.0.0-1) experimental; urgency=low

  * New upstream version for KDE4/Qt4.
  * Added watch file.
  * Updated to standards version 3.8.0, no additional changes needed.
  * No longer need texinfo to build, the html files are part of the tarball.
  * Streamlined build dependencies.
  * Updated copyright file.

 -- Michael Meskes <meskes@debian.org>  Sat, 03 Jan 2009 20:51:13 +0100

tora (1.3.23-1) unstable; urgency=low

  * New upstream version
  * Moved config.* handling from clean target to configure target.

 -- Michael Meskes <meskes@debian.org>  Wed, 26 Mar 2008 09:55:07 +0100

tora (1.3.22-7) unstable; urgency=low

  * Removed build dependency on libqt3-compat-headers, closes: #464914
  * Added include directives needed by gcc-4.3, closes: #462239

 -- Michael Meskes <meskes@debian.org>  Mon, 11 Feb 2008 10:57:12 +0100

tora (1.3.22-6) unstable; urgency=low

  * Fixed clean target yet again so building twice in a row is possible.
  * Bumped up build dependency on debhelper to correct version.

 -- Michael Meskes <meskes@debian.org>  Thu, 10 Jan 2008 11:55:07 +0100

tora (1.3.22-5) unstable; urgency=low

  * Bumped standards version to 3.7.3.
  * Bumped tora.dekstop to version 1.0, closes: #455588
  * Added call to dh_desktop.
  * Bumbed debhelper version to 5.
  * Build-depend on autotools-dev and cp up-to-date files to archive.
  * Do not ignore errors in "make clean".

 -- Michael Meskes <meskes@debian.org>  Tue, 11 Dec 2007 10:32:06 +0100

tora (1.3.22-4) unstable; urgency=low

  * Removed build dependency on g++, closes: #452976
  * Also removed build dependency on libqt3-mt-dev because kdelibs4-dev
    depends on it.
  * Made menu file adhere new standard.
  * Do not install sources for help files.

 -- Michael Meskes <meskes@debian.org>  Thu, 06 Dec 2007 10:13:24 +0100

tora (1.3.22-3) unstable; urgency=low

  * Moved to team maintenance:
    Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>.

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Nov 2007 11:12:43 +0100

tora (1.3.22-2) unstable; urgency=low

  * Fixed help system
  * Moved translations to /usr/share, closes: #448950
  * Remove deprecated debian.patch file.

 -- Michael Meskes <meskes@debian.org>  Tue, 20 Nov 2007 13:05:47 +0100

tora (1.3.22-1) unstable; urgency=low

  * New upstream version.
  * Added texinfo to Build-Depends, closes: #443296
  * Build process now uses dpatch.

 -- Michael Meskes <meskes@debian.org>  Fri, 21 Sep 2007 13:48:45 +0200

tora (1.3.21pre22-3) unstable; urgency=low

  * Do not remove files from the orig tarball in our clean target, closes: #442749
  * Resynced with svn to prepare for upcoming 1.3.22 release.

 -- Michael Meskes <meskes@debian.org>  Tue, 18 Sep 2007 11:15:46 +0200



=== debian/control ===
Source: tora
Section: misc
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), libqscintilla2-qt4-dev, cdbs, libpq-dev, cmake
Standards-Version: 3.9.8
Homepage: http://www.torasql.com
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/tora.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/tora.git

Package: tora
Architecture: any
Depends: libqt4-sql, ${shlibs:Depends}, ${misc:Depends}
Description: graphical toolkit for database developers and administrators
 TOra features a schema browser, SQL worksheet, PL/SQL editor & debugger,
 storage manager, rollback segment monitor, instance manager, and SQL output
 viewer. Via Qt4 it can access PostgreSQL and MySQL directly. Any other
 database systems can be accessed via ODBC.

Package: tora-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, tora
Description: graphical toolkit for databaseis - debugging symbols
 TOra features a schema browser, SQL worksheet, PL/SQL editor & debugger,
 storage manager, rollback segment monitor, instance manager, and SQL output
 viewer. Via Qt4 it can access PostgreSQL and MySQL directly. Any other
 database systems can be accessed via ODBC.
 .
 This package provides the debugging symbols for tora.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_DBG_PACKAGES := tora-dbg

install/tora::
	# remove some file we don't want to install
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/tora/README.OSX
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/tora/README.LICENSE
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/tora/README.WINDOWS
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/tora/INSTALL
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/tora/COPYING
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/tora/ChangeLog
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/tora/changelog
	# this file cannot be installed by dh_install because it has to be renamed
	-install --owner root --group root --mode=644 $(CURDIR)/src/icons/toramini.xpm $(CURDIR)/debian/tora/usr/share/icons/hicolor/16x16/apps/tora.xpm
	# we have a desktop file
	-install --owner root --group root --mode=644 $(CURDIR)/debian/tora.desktop $(CURDIR)/debian/tora/usr/share/applications

=== debian/watch ===
version=3
http://sf.net/tora tora-([\d\.]*)\.tar\.gz
